Subject: Re: linux-next: Tree for May 24

From: Mark Brown <[email-masked]>
Date: Mon, 28 May 2018 12:04:35 +0100

On Mon, May 28, 2018 at 11:08:22AM +0200, Arnd Bergmann wrote:

> One possible reason for slowdown on ARM allmodconfig might be the addition of
> KCOV, though that is only enabled in mmotm at the end of your builds.

It's not that - it's slow on just the main builds (x86 allmodconfig, arm
multi_v7_defconfig and arm64 defconfig when I'm doing it).  I think it's
due to a combination of some degree of natural growth in build size and
the builds now all being forked off at once rather than being run
sequentially - the system ends up either context thrashing at the start
of the build or using too few cores for the allmodconfig but I was too
busy running the builds to experiment much.  

My system isn't nearly so fancy as Stephen's which probably doesn't help
here, I do keep thinking about upgrading so there's a good chance that
next time I try I'll have done so.